Subject: Re: [Manycouches] Call for WG adoption: draft-kuehlewind-shmoo-remote-fee-02

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Tue, 9 Mar 2021 15:06:21 +0000

Resending this email pertaining to our discussion in the working group session today on the remote meeting fee draft.

Rich's response is available at https://mailarchive.ietf.org/arch/msg/manycouches/O8E4LOSpDiFs8RuC5mJ5VmEGkSc/.
I do not see any other discussion after this. 

Cheers,
Charles

On 2/11/21, 4:44 PM, "Manycouches on behalf of Charles Eckel (eckelcu)" <[email-masked] on behalf of eckelcu=[email-masked]> wrote:

    I like the simplicity of Rich's proposal but believe there is a need to narrow the scope to related events that are associated with the "work", as detailed in Mirja's proposal. Perhaps a combination that leverages the definition of "open process" from RFC 3939 could work.

    ---
    The principle this document states is simple: there must always be an option for free remote participation in any IETF meeting and related event that is part of the IETF's open process [RFC3935], whether or not that meeting has a physical presence.
    ---

    Cheers,
    Charles

    On 2/11/21, 4:58 AM, "Salz, Rich" <[email-masked]> wrote:

        If there is no fee, then there is no need for a fee waiver. :)  That's obvious to all I think.

        diff --git a/draft-kuehlewind-shmoo-remote-fee.md b/draft-kuehlewind-shmoo-remote-fee.md
        index efe9f07..9fb1c68 100644
        --- a/draft-kuehlewind-shmoo-remote-fee.md
        +++ b/draft-kuehlewind-shmoo-remote-fee.md
        @@ -43,7 +43,7 @@ informative:

         This document proposes a principle for open participation that extends the open process
         principle as defined in RFC3935 by stating that there must always be a free option for online
        -participation to IETF meetings over the Internet.
        +participation to IETF meetings (or related events) over the Internet.

         --- middle

        @@ -79,7 +79,7 @@ order to reach consensus on this or a similar principle that the IETF Administra
         can use to guide future decision about registration fees for full online meetings.

         The principle this document states is simple: there must always be an option for free
        -remote participation in any IETF meeting, whether or not that meeting has a physical presence.
        +remote participation in any IETF meeting or related event, whether or not that meeting has a physical presence.

         This principle aims to support the openness principle of the IETF as defined in {{!RFC3935}}:

    _______________________________________________
    Manycouches mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/manycouches

---

From: Mirja Kuehlewind <[email-masked]>
Date: Tue, 9 Mar 2021 16:31:08 +0100

Thanks, I think I actually missed this mail. Will create a PR!

> On 9. Mar 2021, at 16:06, Charles Eckel (eckelcu) <[email-masked]> wrote:
>

---

From: Mirja Kuehlewind <[email-masked]>
Date: Mon, 15 Mar 2021 11:22:10 +0100

Hi Charles, hi all,

I updated the PR with your proposed addition below:

https://github.com/mirjak/draft-kuehlewind-shmoo-remote-fee/pull/14/files

However, I wonder if maybe RFC8179 is the better reference as it it defines participation the following way:

"Participating in an IETF discussion or activity": making a
      Contribution, as described above, or in any other way acting in
      order to influence the outcome of a discussion relating to the
      IETF Standards Process

(There is also a definition for Contribution which I don’t post here, as it’s quite long.)

Then we could say some like

"The principle this document states is simple: there must always be an option for free remote participation in any IETF meeting and related event that contain contributions to the IETF standards process [RFC8179], whether or not that meeting has a physical presence.”

Not super happy about the word “contain” here but the reference to RFC8179 and talking about "contributions to the IETF standards process” might be better…?

Mirja

---

From: Mirja Kuehlewind <[email-masked]>
Date: Mon, 15 Mar 2021 11:26:18 +0100

Hi all,

One more, slightly separate point: 

I don’t think we want to say basically “all events must provide a remote option” but rather “if there is a remote participation option there also should be a free one”, right?

I think it might be worth to clarify this point in the draft.

Mirja

> On 15. Mar 2021, at 11:22, Mirja Kuehlewind <[email-masked]> wrote:
> 
> Hi Charles, hi all,
>

---

From: Alexandre Petrescu <[email-masked]>
Date: Mon, 15 Mar 2021 11:42:32 +0100

Le 15/03/2021 à 11:26, Mirja Kuehlewind a écrit :
> I don’t think we want to say basically “all events must provide a 
> remote option” but rather “if there is a remote participation option 
> there also should be a free one”, right?

I think indeed that is a good point.  If there is a remote participation
option then there should be a free option to attend, be it in-person or
remote.

And yes, in the future it might be that some meetings might be without
remote participation option.  For example if access to Internet gets
stuck for some reason, or the need of material needs are too high in
order to attend. (i.e. need fiber, or need high performance PC).

But, of course, one does not want to arrive to a situation where only
in-person meetings happen and there is no free option to attend.

To me, the only worry for the free attendance option is the limited
money ressources.  It might be thus advantageous to say that the meeting
organizers must try to manage best the cost structure so that the free
attendance option is the last to be cut.

Alex

>> https://github.com/mirjak/draft-kuehlewind-shmoo-remote-fee/pull/14/files
However, I wonder if maybe RFC8179 is the better reference as it it
defines participation the following way:
>> "The principle this document states is simple: there must always
>> be an option for free remote participation in any IETF meeting and 
>> related event that contain contributions to the IETF standards 
>> process [RFC8179], whether or not that meeting has a physical 
>> presence.”
>> 
>> Not super happy about the word “contain” here but the reference to 
>> RFC8179 and talking about "contributions to the IETF standards 
>> process” might be better…?
>> 
>> Mirja
>> 
>> 
>> 
>> 
>>> Resending this email pertaining to our discussion in the working 
>>> group session today on the remote meeting fee draft.
>>> 
>>> Rich's response is available at 
>>> https://mailarchive.ietf.org/arch/msg/manycouches/O8E4LOSpDiFs8RuC5mJ5VmEGkSc/.
>>>
>>>
>>> 
>>> 
>>> Cheers, Charles
>>> 
>>> On 2/11/21, 4:44 PM, "Manycouches on behalf of Charles Eckel 
>>> (eckelcu)" <[email-masked] on behalf of 
>>> eckelcu=[email-masked]> wrote:
>>> 
>>> I like the simplicity of Rich's proposal but believe there is a 
>>> need to narrow the scope to related events that are associated 
>>> with the "work", as detailed in Mirja's proposal. Perhaps a 
>>> combination that leverages the definition of "open process" from 
>>> RFC 3939 could work.
>>> 
>>> --- The principle this document states is simple: there must 
>>> always be an option for free remote participation in any IETF 
>>> meeting and related event that is part of the IETF's open
>>> process [RFC3935], whether or not that meeting has a physical
>>> presence. ---
>>> 
>>> Cheers, Charles
>>> 
>>> diff --git a/draft-kuehlewind-shmoo-remote-fee.md 
>>> b/draft-kuehlewind-shmoo-remote-fee.md index efe9f07..9fb1c68 
>>> 100644 --- a/draft-kuehlewind-shmoo-remote-fee.md +++ 
>>> b/draft-kuehlewind-shmoo-remote-fee.md @@ -43,7 +43,7 @@ 
>>> informative:
>>> 
>>> This document proposes a principle for open participation that 
>>> extends the open process principle as defined in RFC3935 by 
>>> stating that there must always be a free option for online 
>>> @@ -79,7 +79,7 @@ order to reach consensus on this or a similar 
>>> principle that the IETF Administra can use to guide future 
>>> decision about registration fees for full online meetings.
>>> 
>>> The principle this document states is simple: there must always 
>>> be an option for free -remote participation in any IETF meeting, 
>>> whether or not that meeting has a physical presence. +remote 
>>> participation in any IETF meeting or related event, whether or 
>>> not that meeting has a physical presence.
>>> 
>>> _______________________________________________ Manycouches 
>>> mailing list [email-masked] 
> _______________________________________________ Manycouches mailing 
> list [email-masked]

---

From: Mirja Kuehlewind <[email-masked]>
Date: Mon, 15 Mar 2021 13:50:54 +0100

This draft does not mandate a free in-person participation option. This is out of scope for the working group and also a separate topics as the consideration are different.

Also what I was trying to say is that the question if there is a remote option or not is also separate from this draft. I cannot imagine any future meeting without remote participation to the actual sessions of the main meeting agenda. However there might be associated events where it is not possible to easily offer remote participation (e.g. the former bits&bytes session might be an example). Therefore I think we should clarify that it is not in scope for this draft to give guidance on when remote participation should be provided or when not.

Mirja

> On 15. Mar 2021, at 11:42, Alexandre Petrescu <[email-masked]> wrote:
> 
> 
> 
>>> "Participating in an IETF discussion or activity": making a Contribution, as described above, or in any other way acting in order to influence the outcome of a discussion relating to the
>>> IETF Standards Process
>>> be an option for free remote participation in any IETF meeting and related event that contain contributions to the IETF standards process [RFC8179], whether or not that meeting has a physical presence.”
>>>> --- The principle this document states is simple: there must always be an option for free remote participation in any IETF meeting and related event that is part of the IETF's open
>>>> diff --git a/draft-kuehlewind-shmoo-remote-fee.md b/draft-kuehlewind-shmoo-remote-fee.md index efe9f07..9fb1c68 100644 --- a/draft-kuehlewind-shmoo-remote-fee.md +++ b/draft-kuehlewind-shmoo-remote-fee.md @@ -43,7 +43,7 @@ informative:
>>>> This document proposes a principle for open participation that extends the open process principle as defined in RFC3935 by stating that there must always be a free option for online -participation to IETF meetings over the Internet.
>>>> @@ -79,7 +79,7 @@ order to reach consensus on this or a similar principle that the IETF Administra can use to guide future decision about registration fees for full online meetings.
>>>> The principle this document states is simple: there must always be an option for free -remote participation in any IETF meeting, whether or not that meeting has a physical presence. +remote participation in any IETF meeting or related event, whether or not that meeting has a physical presence.
>>>> _______________________________________________ Manycouches mailing list [email-masked] https://www.ietf.org/mailman/listinfo/manycouches
>> _______________________________________________ Manycouches mailing list [email-masked] https://www.ietf.org/mailman/listinfo/manycouches
>

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 15 Mar 2021 14:33:31 +0000

>    This draft does not mandate a free in-person participation option. This is out of scope for the working group and also a separate topics as the consideration are different.

Very strongly agree.

Have we adopted this yet?

---

From: Suresh Krishnan <[email-masked]>
Date: Mon, 15 Mar 2021 10:35:21 -0400

Hi Rich,

> On Mar 15, 2021, at 10:33 AM, Salz, Rich <rsalz=[email-masked]> wrote:
> 

Yes. We have. 

https://datatracker.ietf.org/doc/draft-ietf-shmoo-remote-fee/

This thread predates the adoption call.

Thanks
Suresh

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Mon, 15 Mar 2021 15:54:22 +0000

On 3/15/21, 3:22 AM, "Mirja Kuehlewind" <[email-masked]> wrote:

    Hi Charles, hi all,

This works for me. I recommend replacing "contain" with "involve" and "event" with "events", i.e.,

"The principle this document states is simple: there must always be an option for free remote participation in any IETF meeting and related events that involve contributions to the IETF standards process [RFC8179], whether or not that meeting has a physical presence.”

Cheers,
Charles

    Mirja

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Mon, 15 Mar 2021 15:59:09 +0000

Yes, I agree. That said, a mechanism for remote participation should be provided for such events when feasible.

Cheers,
Charles 

On 3/15/21, 3:26 AM, "Mirja Kuehlewind" <[email-masked]> wrote:

    Hi all,

    Mirja

---

From: Mirja Kuehlewind <[email-masked]>
Date: Tue, 16 Mar 2021 18:35:19 +0100

Here is a PR:

https://github.com/mirjak/draft-kuehlewind-shmoo-remote-fee/pull/16/files

Or here is the proposed text also directly:

"However, this document does not automatically advise that all kind of IETF meetings and events must also have a remote participation option, as there could be technical or other reasons why that might not always be possible. This document rather says that if remote participation is provided, there should always be a free option that makes the process as open as possible. Having said that, it is of course strongly anticipated that at least all sessions of the main agenda of an IETF plenary meeting provide an option for remote participation.”

Mirja

> On 15. Mar 2021, at 16:59, Charles Eckel (eckelcu) <eckelcu=[email-masked]> wrote:
>

---

From: Fred Baker <[email-masked]>
Date: Tue, 16 Mar 2021 11:56:23 -0700

> On Mar 15, 2021, at 5:50 AM, Mirja Kuehlewind <[email-masked]> wrote:

I would agree that it is out of scope, and that meetings need to have a remote option.

That said, in a f2f meeting with a remote option, I don't think the use of a remote option should be a gating consideration on on-site events. For example, I'm not entirely sure what a remote Bar BOF looks like. It seems to me that a group that meets might be encouraged to use an IETF-supplied remote capability, but be allowed to say "it doesn't make sense for this event" or "we choose not to" rather than "we choose to not meet".

On the fee for a remote meeting, one consideration that came up in 2020 was that even if all participation is without cost, there are costs, and someone has to pay them (including non-meeting-specific costs for the secretariat and its services) somehow. There needs to be clear thought on that matter. One obvious alternative would be to have the host pay them, which becomes an additional reason to choose to not host. Another alternative is to have ISOC pay them - but a set of people have taken some effort at burning the bridge with ISOC. The costs don't magically go away... even if it isn't a fee tied to attendance, I think we need to cover our costs...

---

From: Mirja Kuehlewind <[email-masked]>
Date: Tue, 16 Mar 2021 21:59:27 +0100

Hi Fred, hi all,

> 
> On the fee for a remote meeting, one consideration that came up in 2020 was that even if all participation is without cost, there are costs, and someone has to pay them (including non-meeting-specific costs for the secretariat and its services) somehow. There needs to be clear thought on that matter. One obvious alternative would be to have the host pay them, which becomes an additional reason to choose to not host. Another alternative is to have ISOC pay them - but a set of people have taken some effort at burning the bridge with ISOC. The costs don't magically go away... even if it isn't a fee tied to attendance, I think we need to cover our costs…

So how any costs are covered is actually really completely out of scope not only for this draft but also for this group per our charter.

However, as we had some discussion about this at the meeting, I actually created an PR of what I would like so see added to the draft:

https://github.com/mirjak/draft-kuehlewind-shmoo-remote-fee/pull/17/files

Basically the point is, which Martin D made at the meeting, that remote costs do not scale with the number of participants. As long you have enough paid registration to cover the base costs, you can basically add unlimited free registrations without extra cost.

I guess my PR is not what those people had in mind that raised the issue. However, this is what I personal (as individual contributor) would like to see in the draft. But Suresh said he would make a text proposal. 

Mirja

---

From: Fred Baker <[email-masked]>
Date: Tue, 16 Mar 2021 14:04:20 -0700

> On Mar 16, 2021, at 1:59 PM, Mirja Kuehlewind <[email-masked]> wrote:
> 

True, but I think it misses a point. If there is the possibility of free attendance, one must assume that everyone will use it.

---

From: "Salz, Rich" <[email-masked]>
Date: Tue, 16 Mar 2021 21:08:46 +0000

>    True, but I think it misses a point. If there is the possibility of free attendance, one must assume that everyone will use it.

That assumption is wrong.

---

From: Fred Baker <[email-masked]>
Date: Tue, 16 Mar 2021 14:21:35 -0700

> On Mar 16, 2021, at 2:08 PM, Salz, Rich <[email-masked]> wrote:
> 

That may be true, but you haven't made the argument. Care to elaborate?

---

From: Michael Richardson <[email-masked]>
Date: Tue, 16 Mar 2021 17:46:38 -0400

> That may be true, but you haven't made the argument. Care to elaborate?

We did litigate this on [email-masked] last summer and on this list around the
fee waivers, and when this document first was introduced.
Since it's not in scope for the WG, I'd just assume we not do this again :-)

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Mirja Kuehlewind <[email-masked]>
Date: Tue, 16 Mar 2021 23:05:14 +0100

Yes, we already discussed this extensively and added a section about misuse in the draft. So far for the last three meetings this wasn’t a problem and the conclusion was that we should care about it when and if it ever become one (therefore that section in the draft says let’s just have an eye on the numbers).

> On 16. Mar 2021, at 22:46, Michael Richardson <[email-masked]> wrote:
> 
>

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 17 Mar 2021 14:13:11 +1300

Mirja,

> Yes, we already discussed this extensively and added a section about misuse in the draft. So far for the last three meetings this wasn’t a problem and the conclusion was that we should care about i…

It also says:
"The fee payment structure is set the by the IETF LLC such that the viability of the IETF and the need of IETF participants to work productively within the IETF can be warranted."

The LLC, having financial responsibility, is obliged to protect itself against serious abuse of free registration. Since the idea is to make this a BCP, I still think that fact of life needs to be mentioned.

Regards
    Brian

---

From: Mirja Kuehlewind <[email-masked]>
Date: Wed, 17 Mar 2021 11:48:31 +0100

So the whole purpose of the section on misuse it to say that the LLC needs to monitor this and if there is any sign of misuse they should do something. We explicitly do not say or restrict what they should do because currently this is not a problem that needs solving. I would think they could e.g. do some manual checks instead of just accepting all requests as done right now. However, designing these checks might strongly depend on the kind of misuse we might see or might suspect. I just think there should never be a hard limit on the maximum number of waiver because this really goes again the principle of this doc. 

So I guess we can add sentence to more explicitly say that the LLC is in charge here to monitor the situation and propose mitigation to the community in case they detect or suspect a problem...?

> On 17. Mar 2021, at 02:13, Brian E Carpenter <[email-masked]> wrote:
> 
> 
> Mirja,
>

---

From: "Salz, Rich" <[email-masked]>
Date: Wed, 17 Mar 2021 13:10:31 +0000

>    That may be true, but you haven't made the argument. Care to elaborate?

Well, we can do an induction proof:  my company will keep paying.  Therefore the assumption that everyone will use the free option is wrong.

We can look at past experience.

We can expect that just as companies sign up to be sponsors like Global Host, they will be aware that the IETF needs money and that a few hundred US$ per person isn't much.

---

From: "Salz, Rich" <[email-masked]>
Date: Wed, 17 Mar 2021 14:32:46 +0000

So the main responsibility of the LLC is to ensure the ongoing financial stability of the IETF.  It probably even says something like that in the various legal documents.

Given that, saying "don't bankrupt the IETF by giving it all away" seems redundant. But perhaps it's not since it shows that the IETF understands what the LLC has to do.

So how about we just say something general and not prescriptive, as a way of saying "we get it" and "let the LLC handle it."

This is not a protocol where we have to care about every single byte.  That is both a good thing, and a bad thing, depending on the humans involved and your view of them.

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 18 Mar 2021 08:28:33 +1300

> So I guess we can add sentence to more explicitly say that the LLC is in charge here to monitor the situation and propose mitigation to the community in case they detect or suspect a problem...?

Yes, I think that would be a good approach. Thanks.

   Brian

> .

---

From: Mirja Kuehlewind <[email-masked]>
Date: Thu, 18 Mar 2021 13:55:34 +0100

Okay I propose to add the following sentence in the section on misuse:

The LLC is responsible to ensure the financial stability of the IETF and therefore should monitor trends in the use of the free participating option that could endanger the viability of the IETF.

See here as well:

https://github.com/mirjak/draft-kuehlewind-shmoo-remote-fee/pull/20/files

> On 17. Mar 2021, at 20:28, Brian E Carpenter <[email-masked]> wrote:
>

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 19 Mar 2021 08:54:18 +1300

> The LLC is responsible to ensure the financial stability of the IETF and therefore should monitor trends in the use of the free participating option that could endanger the viability of the IETF.

That is subtle, but I think it will communicate to any large company that hopes it can get a free ride that we will be watching them. (To be clear, my concern has never been that individuals or small companies will misuse free registration, but that large companies might do so. There are already plenty of large companies that profit from the IETF's work at zero cost, but they don't attend our meetings either.)

Regards
   Brian

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Thu, 18 Mar 2021 20:49:09 +0000

This added clarification looks good to me.

Cheers,
Charles

On 3/16/21, 10:35 AM, "Mirja Kuehlewind" <[email-masked]> wrote:

    Here is a PR:

    Mirja

---

From: Fred Baker <[email-masked]>
Date: Thu, 18 Mar 2021 14:43:35 -0700

I can actually think of a case wherein an employee of a large company wanted to attend an IETF meeting as an ISOC Technical Fellow because his department didn’t have budget to send him to an IETF meeting. Details f2f in the presence of adult beverages…

Sent from my iPad

> On Mar 18, 2021, at 12:54 PM, Brian E Carpenter <[email-masked]> wrote:
>

---

From: Lars Eggert <[email-masked]>
Date: Fri, 26 Mar 2021 14:41:36 +0200

Hi,

speaking as an individual participant: I think "Considerations on Use and Misuse of a Free Participation Option" is becoming much too detailed.

My proposal would be to reduce the second and third paragraph to their first sentences, respectively.

Thanks,
Lars

---

From: "Salz, Rich" <[email-masked]>
Date: Fri, 26 Mar 2021 15:18:08 +0000

>   speaking as an individual participant: I think "Considerations on Use and Misuse of a Free Participation Option" is becoming much too detailed.

I agree that it seems long.

>    My proposal would be to reduce the second and third paragraph to their first sentences, respectively.

But I disagree with this.

I think the section discuss the responsibilities of several parties, including the paid staff (para 3), IETF contributors (para 2) and overall motivation.

Perhaps some tighter wording could make it shorter, but I think what it covers is important and useful.

---

From: Mirja Kuehlewind <[email-masked]>
Date: Mon, 29 Mar 2021 11:50:47 +0200

I would also prefer to keep the text. These paragraphs were added based on discussion we had in the group and while the first sentence in each paragraph captures the main point, having some more additional information seems useful to avoid that the same discussion comes up again and again.

> On 26. Mar 2021, at 16:18, Salz, Rich <rsalz=[email-masked]> wrote:
>

---

From: "Reed, Jon" <[email-masked]>
Date: Mon, 29 Mar 2021 18:37:36 +0000

> On Mar 29, 2021, at 5:50 AM, Mirja Kuehlewind <[email-masked]> wrote:
> 

As would I, for the same reason.  Those paragraphs were the summary of long protracted thread around the potential for abuse, and if we remove them, that discussion will have been for nothing.

-Jon

>> https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/manycouches__;!!GjvTz_vk!GQv8aIC2KLRGKPmMnb7ZtamUyM-Lnw1G871iVQvR5IzqPW4VAW0tEnuEpvxl$ 
>> 
> 
> https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/manycouches__;!!GjvTz_vk!GQv8aIC2KLRGKPmMnb7ZtamUyM-Lnw1G871iVQvR5IzqPW4VAW0tEnuEpvxl$

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 30 Mar 2021 07:43:59 +1300

> As would I, for the same reason.  Those paragraphs were the summary of long protracted thread around the potential for abuse, and if we remove them, that discussion will have been for nothing.

Agreed (as the instigator of a lot of that discussion).

    Brian